<?php 
require_once "../modelos/Paciente.php";

$paciente  			=   new Paciente();

$idpaciente			=   isset($_POST["idpaciente"])? limpiarCadena($_POST["idpaciente"]):"";
$nombre1            =   isset($_POST["nombre1"])? limpiarCadena($_POST["nombre1"]):"";
$nombre2            =   isset($_POST["nombre2"])? limpiarCadena($_POST["nombre2"]):"";
$apellido1          =   isset($_POST["apellido1"])? limpiarCadena($_POST["apellido1"]):"";
$apellido2          =   isset($_POST["apellido2"])? limpiarCadena($_POST["apellido2"]):"";
$fechanacimiento    =   isset($_POST["fechanacimiento"])? limpiarCadena($_POST["fechanacimiento"]):"";
$lugarnacimiento    =   isset($_POST["lugarnacimiento"])? limpiarCadena($_POST["lugarnacimiento"]):"";
$telefonohab        =   isset($_POST["telefonohab"])? limpiarCadena($_POST["telefonohab"]):"";
$telefonoofi        =   isset($_POST["telefonoofi"])? limpiarCadena($_POST["telefonoofi"]):"";
$telefonocel        =   isset($_POST["telefonocel"])? limpiarCadena($_POST["telefonocel"]):"";
$ocupacion          =   isset($_POST["ocupacion"])? limpiarCadena($_POST["ocupacion"]):"";
$direccion          =   isset($_POST["direccion"])? limpiarCadena($_POST["direccion"]):"";
$medico             =   isset($_POST["medico"])? limpiarCadena($_POST["medico"]):"";
$email              =   isset($_POST["email"])? limpiarCadena($_POST["email"]):"";
$diagnostico        =   isset($_POST["diagnostico"])? limpiarCadena($_POST["diagnostico"]):"";
$ci        			=   isset($_POST["ci"])? limpiarCadena($_POST["ci"]):"";

switch ($_GET["op"]) {
    case 'guardaryeditar':
        if (empty($idpaciente)) {
            $rspta=$paciente->insertar($nombre1,$nombre2,$apellido1,$apellido2,$fechanacimiento,$lugarnacimiento,$telefonohab,$telefonoofi,$telefonocel,$ocupacion,$direccion,$medico,$email,$diagnostico,$ci);
            echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
        }else{
            $rspta=$paciente->editar($idpaciente,$nombre1,$nombre2,$apellido1,$apellido2,$fechanacimiento,$lugarnacimiento,$telefonohab,$telefonoofi,$telefonocel,$ocupacion,$direccion,$medico,$email,$diagnostico,$ci);
            echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
        }
	break;
	

	case 'eliminar':
		$rspta=$paciente->eliminar($idpaciente);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;
	
	case 'mostrar':
		$rspta=$paciente->mostrar($idpaciente);
		echo json_encode($rspta);
	break;

			
	case 'buscarcliente':
		$rspta=$paciente->buscarcliente($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

	case 'buscarclienteid':
		$rspta=$paciente->buscarclienteid($idpaciente);
		echo json_encode($rspta);
	break;
	
	case 'buscarproveedor':
		$rspta=$paciente->buscarproveedor($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

	case 'selectPaciente':
		$rspta = $paciente->listar();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Paciente';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpaciente.'>'.$reg->nombre1." ".$reg->nombre2." ".$reg->apellido1." ".$reg->apellido2.'</option>';
		}
	break;

	case 'listar':
		$rspta=$paciente->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpaciente.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpaciente.')"><i class="fa fa-trash"></i></button>',
            "1"=>$reg->nombre1.' '.$reg->nombre2,
            "2"=>$reg->apellido1.' '.$reg->apellido2,
            "3"=>$reg->ocupacion,
            "4"=>$reg->telefonocel,
            "5"=>$reg->email
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>